# path
export PATH="$HOME"/.local/bin:"$PATH"

# ibus specific
export GTK_IM_MODULE=ibus
export QT_IM_MODULE=ibus
export XMODIFIERS=@im=ibus

# xdg stuff
export XDG_DATA_HOME="$HOME"/.local/share
export XDG_CONFIG_HOME="$HOME"/.config
export XDG_STATE_HOME="$HOME"/.local/state
export XDG_CACHE_HOME="$HOME"/.cache
export XDG_DESKTOP_DIR=$HOME/Desktop
export XDG_DOCUMENTS_DIR="$HOME"/Documents
export XDG_DOWNLOAD_DIR="$HOME"/Downloads
export XDG_MUSIC_DIR="$HOME"/Music
export XDG_PICTURES_DIR="$HOME"/Pictures
export XDG_VIDEOS_DIR="$HOME"/Videos
export XDG_PROJECTS_DIR="$XDG_DOCUMENTS_DIR"/projects

# system xdg stuff
export XDG_DATA_DIRS=/usr/local/share:/usr/share
export XDG_CONFIG_DIRS=/etc/xdg

# cache files
export NUGET_PACKAGES="$XDG_CACHE_HOME"/NuGetPackages
export ZSH_EVALCACHE_DIR="$XDG_CACHE_HOME"/evalcache

# config files
export NBRC_PATH="$XDG_CONFIG_HOME"/nbrc
export FZF_MARKS_FILE="$XDG_CONFIG_HOME"/fzfmarks
export DOCKER_CONFIG="$XDG_CONFIG_HOME"/docker
export GTK2_RC_FILES="$XDG_CONFIG_HOME"/gtk-2.0/gtkrc
export _JAVA_OPTIONS=-Djava.util.prefs.userRoot="$XDG_CONFIG_HOME"/java
export GDBHISTFILE="$XDG_CONFIG_HOME"/gdb/history
export STARSHIP_CONFIG_DIR="$XDG_CONFIG_HOME"/starship
export STARSHIP_CONFIG="$STARSHIP_CONFIG_DIR"/config.toml
export SHELDON_CONFIG_DIR="$XDG_CONFIG_HOME"/sheldon
export SHELDON_CONFIG_FILE="$SHELDON_CONFIG_DIR"/plugins.toml
export SHELDON_LOCK_FILE="$SHELDON_CONFIG_DIR"/plugins.lock

# data files
export XCURSOR_PATH=/usr/share/icons:"$XDG_DATA_HOME"/icons
export GOPATH="$XDG_DATA_HOME"/go
export CARGO_HOME="$XDG_DATA_HOME"/cargo
export ASDF_DATA_DIR="$XDG_DATA_HOME"/asdf
export NB_DIR="$XDG_DATA_HOME"/nb
export DSTASK_GIT_REPO="$XDG_DATA_HOME"/dstask
export SHELDON_DATA_DIR="$XDG_DATA_HOME"/sheldon
export WAKATIME_HOME="$XDG_DATA_HOME"/wakatime
export SHELDON_CLONE_DIR="$SHELDON_DATA_DIR"/repos
export SHELDON_DOWNLOAD_DIR="$SHELDON_DATA_DIR"/downloads

# gpg
#export GNUPGHOME="$XDG_DATA_HOME"/gnupg
export GPG_TTY="$TTY"

# other programs
export LESSHISTFILE="$XDG_STATE_HOME"/less/history
export EDITOR=nvim
export VISUAL="subl -w"
export ZSH_WAKATIME_BIN=/usr/bin/wakatime

# stuff
export ZELLIJ_AUTO_ATTACH=true
export ZELLIJ_AUTO_EXIT=true
export TERMINALNAME=$(fastfetch --pipe 2>/dev/null | grep -i terminal: | awk '{print $2}')

# zsh specific
export HISTSIZE=1048576
export SAVEHIST=1048576
export HISTFILE="$XDG_CACHE_HOME"/zsh/history
